org.codehaus.plexus.lifecycle

## Interface LifecycleHandlerManager

All Known Implementing Classes:
  DefaultLifecycleHandlerManager

    public interface LifecycleHandlerManager

LifecycleHandlerManager is a simple index (registry) of LifecycleHandler instances.

Version:
  $Id: LifecycleHandlerManager.java 7797 2008-10-28 17:41:43Z dain $
Author:
  Jason van Zyl

### Method Summary

Methods
`void` `addLifecycleHandler(LifecycleHandler lifecycleHandler)`
`LifecycleHandler` `getLifecycleHandler(java.lang.String id)`
`void` `initialize()`

### Method Detail

#### initialize

    void initialize()

#### addLifecycleHandler

    void addLifecycleHandler(LifecycleHandler lifecycleHandler)

#### getLifecycleHandler

    LifecycleHandler getLifecycleHandler(java.lang.String id)
                                         throws UndefinedLifecycleHandlerException

Throws:
  `UndefinedLifecycleHandlerException`